### Constructor

# Gtk.IconView.new_with_area

#### Declaration [src]

    GtkWidget*
    gtk_icon_view_new_with_area (
      GtkCellArea* area
    )

#### Description [src]

Creates a new `GtkIconView` widget using the specified `area` to layout cells inside the icons.

#### Parameters

`area` | `GtkCellArea`
| the `GtkCellArea` to use to layout cells
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
A newly created `GtkIconView` widget
Ownership is not transferred to the caller